Bug 91385 - ps2epsi fails to handle non-standard document size
ps2epsi fails to handle non-standard document size
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 01:48 EDT by Craig Lawson
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:43:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Postscript file with large bounding box. (17.86 KB, application/postscript)
2003-05-22 01:51 EDT, Craig Lawson
no flags Details

  None (edit)
Description Craig Lawson 2003-05-22 01:48:53 EDT
Description of problem:
ps2epsi fails to handle non-standard document sizes. If the source Postscript
has a conventional 8.5"x11" bounding box, ps2epsi fails as per bug 89300.
However, if the postscript bounding box is changed to 18"x28", ps2epsi fails
badly. The same Postscript source may be viewed with gs, and may be converted to
PDF.

Version-Release number of selected component (if applicable):
ghostscript-7.05-32

How reproducible:
100%

Steps to Reproduce:
1. Create a postscript file with non-standard bounding box.
2. Run ps2epsi.
    
Actual results:
Fails with lots 'o errors (see below).

Expected results:
Produce an EPS file with no whining.

Additional info:
Here is the failure message from trying to convert the attached postscript file:

Error: /rangecheck in --.getbitsrect--
Operand stack:
   -1   0  
(\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000...)
  --nostringval--   0   0   2016   1296   0   --nostringval--
 
(\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000...)
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1   3  
%oparray_pop   1   3
%oparray_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--
 2   %stopped_push   --nostringval--   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   --nostringval--   --nostringval--
  --nostringval--   1   1   791   --nostringval--   %for_pos_int_continue  
--nostringval--   --nostringval--   6   5   %oparray_pop   --nostringval--  
--nostringval--   --nostringval--
Dictionary stack:
   --dict:1055/1123(ro)(G)--   --dict:0/20(G)--   --dict:91/200(L)--  
--dict:47/47(L)--   --dict:47/47(L)--
Current allocation mode is local
Last OS error: 2
GNU Ghostscript 7.05: Unrecoverable error, exit code 1
sed: -e expression #3, char 30: Invalid range end
Comment 1 Craig Lawson 2003-05-22 01:51:25 EDT
Created attachment 91879 [details]
Postscript file with large bounding box.
Comment 2 Tim Waugh 2003-05-27 11:09:43 EDT
Same with 7.07.
Comment 3 Alex Cherepanov 2005-03-06 18:53:20 EST
In my opinion, ps2epsi should be rewritten as:
1. get the bounding box using bbox device
2. rasterize the file into epsi, or PC-style TIFF preview.
This workflow will eliminate all restrictions on the page size,
generate correct bbox, and use only documented operators.

I can do this if there is some interest on Red Hat side.
Artifex Software doesn't consider this fix worth 1 week of
the programmer's time.
Comment 4 Bill Nottingham 2006-08-04 23:54:15 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 6 Bill Nottingham 2007-01-02 13:43:50 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.